Package org.optaplanner.core.config.phase

## Class NoChangePhaseConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<C>
  - - org.optaplanner.core.config.phase.PhaseConfig<NoChangePhaseConfig>
    - - org.optaplanner.core.config.phase.NoChangePhaseConfig

-     public class NoChangePhaseConfig
      extends PhaseConfig<NoChangePhaseConfig>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoChangePhaseConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NoChangePhase` | `buildPhase​(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)` |
    `NoChangePhaseConfig` | `copyConfig()` | Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `NoChangePhaseConfig` | `inherit​(NoChangePhaseConfig inheritedConfig)` | Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

    - ### Methods inherited from class org.optaplanner.core.config.phase.PhaseConfig

      `buildPhaseTermination, getTerminationConfig, setTerminationConfig, toString`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoChangePhaseConfig

          public NoChangePhaseConfig()

  - ### Method Detail

    - #### buildPhase

          public NoChangePhase buildPhase​(int phaseIndex,
                                          HeuristicConfigPolicy solverConfigPolicy,
                                          BestSolutionRecaller bestSolutionRecaller,
                                          Termination solverTermination)

      Specified by:
        `buildPhase` in class `PhaseConfig<NoChangePhaseConfig>`

    - #### inherit

          public NoChangePhaseConfig inherit​(NoChangePhaseConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Overrides:
        `inherit` in class `PhaseConfig<NoChangePhaseConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public NoChangePhaseConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<NoChangePhaseConfig>`
      Returns:
        new instance